pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
:root[data-bs-theme="dark"]  .codehilite .hll { background-color: #49483e }
:root[data-bs-theme="dark"]  .codehilite { background: #272822; color: #F8F8F2 }
:root[data-bs-theme="dark"]  .codehilite .c { color: #959077 } /* Comment */
:root[data-bs-theme="dark"]  .codehilite .err { color: #ED007E; background-color: #1E0010 } /* Error */
:root[data-bs-theme="dark"]  .codehilite .esc { color: #F8F8F2 } /* Escape */
:root[data-bs-theme="dark"]  .codehilite .g { color: #F8F8F2 } /* Generic */
:root[data-bs-theme="dark"]  .codehilite .k { color: #66D9EF } /* Keyword */
:root[data-bs-theme="dark"]  .codehilite .l { color: #AE81FF } /* Literal */
:root[data-bs-theme="dark"]  .codehilite .n { color: #F8F8F2 } /* Name */
:root[data-bs-theme="dark"]  .codehilite .o { color: #FF4689 } /* Operator */
:root[data-bs-theme="dark"]  .codehilite .x { color: #F8F8F2 } /* Other */
:root[data-bs-theme="dark"]  .codehilite .p { color: #F8F8F2 } /* Punctuation */
:root[data-bs-theme="dark"]  .codehilite .ch { color: #959077 } /* Comment.Hashbang */
:root[data-bs-theme="dark"]  .codehilite .cm { color: #959077 } /* Comment.Multiline */
:root[data-bs-theme="dark"]  .codehilite .cp { color: #959077 } /* Comment.Preproc */
:root[data-bs-theme="dark"]  .codehilite .cpf { color: #959077 } /* Comment.PreprocFile */
:root[data-bs-theme="dark"]  .codehilite .c1 { color: #959077 } /* Comment.Single */
:root[data-bs-theme="dark"]  .codehilite .cs { color: #959077 } /* Comment.Special */
:root[data-bs-theme="dark"]  .codehilite .gd { color: #FF4689 } /* Generic.Deleted */
:root[data-bs-theme="dark"]  .codehilite .ge { color: #F8F8F2; font-style: italic } /* Generic.Emph */
:root[data-bs-theme="dark"]  .codehilite .ges { color: #F8F8F2; font-weight: bold; font-style: italic } /* Generic.EmphStrong */
:root[data-bs-theme="dark"]  .codehilite .gr { color: #F8F8F2 } /* Generic.Error */
:root[data-bs-theme="dark"]  .codehilite .gh { color: #F8F8F2 } /* Generic.Heading */
:root[data-bs-theme="dark"]  .codehilite .gi { color: #A6E22E } /* Generic.Inserted */
:root[data-bs-theme="dark"]  .codehilite .go { color: #66D9EF } /* Generic.Output */
:root[data-bs-theme="dark"]  .codehilite .gp { color: #FF4689; font-weight: bold } /* Generic.Prompt */
:root[data-bs-theme="dark"]  .codehilite .gs { color: #F8F8F2; font-weight: bold } /* Generic.Strong */
:root[data-bs-theme="dark"]  .codehilite .gu { color: #959077 } /* Generic.Subheading */
:root[data-bs-theme="dark"]  .codehilite .gt { color: #F8F8F2 } /* Generic.Traceback */
:root[data-bs-theme="dark"]  .codehilite .kc { color: #66D9EF } /* Keyword.Constant */
:root[data-bs-theme="dark"]  .codehilite .kd { color: #66D9EF } /* Keyword.Declaration */
:root[data-bs-theme="dark"]  .codehilite .kn { color: #FF4689 } /* Keyword.Namespace */
:root[data-bs-theme="dark"]  .codehilite .kp { color: #66D9EF } /* Keyword.Pseudo */
:root[data-bs-theme="dark"]  .codehilite .kr { color: #66D9EF } /* Keyword.Reserved */
:root[data-bs-theme="dark"]  .codehilite .kt { color: #66D9EF } /* Keyword.Type */
:root[data-bs-theme="dark"]  .codehilite .ld { color: #E6DB74 } /* Literal.Date */
:root[data-bs-theme="dark"]  .codehilite .m { color: #AE81FF } /* Literal.Number */
:root[data-bs-theme="dark"]  .codehilite .s { color: #E6DB74 } /* Literal.String */
:root[data-bs-theme="dark"]  .codehilite .na { color: #A6E22E } /* Name.Attribute */
:root[data-bs-theme="dark"]  .codehilite .nb { color: #F8F8F2 } /* Name.Builtin */
:root[data-bs-theme="dark"]  .codehilite .nc { color: #A6E22E } /* Name.Class */
:root[data-bs-theme="dark"]  .codehilite .no { color: #66D9EF } /* Name.Constant */
:root[data-bs-theme="dark"]  .codehilite .nd { color: #A6E22E } /* Name.Decorator */
:root[data-bs-theme="dark"]  .codehilite .ni { color: #F8F8F2 } /* Name.Entity */
:root[data-bs-theme="dark"]  .codehilite .ne { color: #A6E22E } /* Name.Exception */
:root[data-bs-theme="dark"]  .codehilite .nf { color: #A6E22E } /* Name.Function */
:root[data-bs-theme="dark"]  .codehilite .nl { color: #F8F8F2 } /* Name.Label */
:root[data-bs-theme="dark"]  .codehilite .nn { color: #F8F8F2 } /* Name.Namespace */
:root[data-bs-theme="dark"]  .codehilite .nx { color: #A6E22E } /* Name.Other */
:root[data-bs-theme="dark"]  .codehilite .py { color: #F8F8F2 } /* Name.Property */
:root[data-bs-theme="dark"]  .codehilite .nt { color: #FF4689 } /* Name.Tag */
:root[data-bs-theme="dark"]  .codehilite .nv { color: #F8F8F2 } /* Name.Variable */
:root[data-bs-theme="dark"]  .codehilite .ow { color: #FF4689 } /* Operator.Word */
:root[data-bs-theme="dark"]  .codehilite .pm { color: #F8F8F2 } /* Punctuation.Marker */
:root[data-bs-theme="dark"]  .codehilite .w { color: #F8F8F2 } /* Text.Whitespace */
:root[data-bs-theme="dark"]  .codehilite .mb { color: #AE81FF } /* Literal.Number.Bin */
:root[data-bs-theme="dark"]  .codehilite .mf { color: #AE81FF } /* Literal.Number.Float */
:root[data-bs-theme="dark"]  .codehilite .mh { color: #AE81FF } /* Literal.Number.Hex */
:root[data-bs-theme="dark"]  .codehilite .mi { color: #AE81FF } /* Literal.Number.Integer */
:root[data-bs-theme="dark"]  .codehilite .mo { color: #AE81FF } /* Literal.Number.Oct */
:root[data-bs-theme="dark"]  .codehilite .sa { color: #E6DB74 } /* Literal.String.Affix */
:root[data-bs-theme="dark"]  .codehilite .sb { color: #E6DB74 } /* Literal.String.Backtick */
:root[data-bs-theme="dark"]  .codehilite .sc { color: #E6DB74 } /* Literal.String.Char */
:root[data-bs-theme="dark"]  .codehilite .dl { color: #E6DB74 } /* Literal.String.Delimiter */
:root[data-bs-theme="dark"]  .codehilite .sd { color: #E6DB74 } /* Literal.String.Doc */
:root[data-bs-theme="dark"]  .codehilite .s2 { color: #E6DB74 } /* Literal.String.Double */
:root[data-bs-theme="dark"]  .codehilite .se { color: #AE81FF } /* Literal.String.Escape */
:root[data-bs-theme="dark"]  .codehilite .sh { color: #E6DB74 } /* Literal.String.Heredoc */
:root[data-bs-theme="dark"]  .codehilite .si { color: #E6DB74 } /* Literal.String.Interpol */
:root[data-bs-theme="dark"]  .codehilite .sx { color: #E6DB74 } /* Literal.String.Other */
:root[data-bs-theme="dark"]  .codehilite .sr { color: #E6DB74 } /* Literal.String.Regex */
:root[data-bs-theme="dark"]  .codehilite .s1 { color: #E6DB74 } /* Literal.String.Single */
:root[data-bs-theme="dark"]  .codehilite .ss { color: #E6DB74 } /* Literal.String.Symbol */
:root[data-bs-theme="dark"]  .codehilite .bp { color: #F8F8F2 } /* Name.Builtin.Pseudo */
:root[data-bs-theme="dark"]  .codehilite .fm { color: #A6E22E } /* Name.Function.Magic */
:root[data-bs-theme="dark"]  .codehilite .vc { color: #F8F8F2 } /* Name.Variable.Class */
:root[data-bs-theme="dark"]  .codehilite .vg { color: #F8F8F2 } /* Name.Variable.Global */
:root[data-bs-theme="dark"]  .codehilite .vi { color: #F8F8F2 } /* Name.Variable.Instance */
:root[data-bs-theme="dark"]  .codehilite .vm { color: #F8F8F2 } /* Name.Variable.Magic */
:root[data-bs-theme="dark"]  .codehilite .il { color: #AE81FF } /* Literal.Number.Integer.Long */
pre { line-height: 125%; }
td.linenos .normal { color: #666666; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: #666666; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
:root[data-bs-theme="light"] .codehilite .hll { background-color: #ffffcc }
:root[data-bs-theme="light"] .codehilite { background: #f0f0f0; }
:root[data-bs-theme="light"] .codehilite .c { color: #60A0B0; font-style: italic } /* Comment */
:root[data-bs-theme="light"] .codehilite .err { border: 1px solid #F00 } /* Error */
:root[data-bs-theme="light"] .codehilite .k { color: #007020; font-weight: bold } /* Keyword */
:root[data-bs-theme="light"] .codehilite .o { color: #666 } /* Operator */
:root[data-bs-theme="light"] .codehilite .ch { color: #60A0B0; font-style: italic } /* Comment.Hashbang */
:root[data-bs-theme="light"] .codehilite .cm { color: #60A0B0; font-style: italic } /* Comment.Multiline */
:root[data-bs-theme="light"] .codehilite .cp { color: #007020 } /* Comment.Preproc */
:root[data-bs-theme="light"] .codehilite .cpf { color: #60A0B0; font-style: italic } /* Comment.PreprocFile */
:root[data-bs-theme="light"] .codehilite .c1 { color: #60A0B0; font-style: italic } /* Comment.Single */
:root[data-bs-theme="light"] .codehilite .cs { color: #60A0B0; background-color: #FFF0F0 } /* Comment.Special */
:root[data-bs-theme="light"] .codehilite .gd { color: #A00000 } /* Generic.Deleted */
:root[data-bs-theme="light"] .codehilite .ge { font-style: italic } /* Generic.Emph */
:root[data-bs-theme="light"] .codehilite .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
:root[data-bs-theme="light"] .codehilite .gr { color: #F00 } /* Generic.Error */
:root[data-bs-theme="light"] .codehilite .gh { color: #000080; font-weight: bold } /* Generic.Heading */
:root[data-bs-theme="light"] .codehilite .gi { color: #00A000 } /* Generic.Inserted */
:root[data-bs-theme="light"] .codehilite .go { color: #888 } /* Generic.Output */
:root[data-bs-theme="light"] .codehilite .gp { color: #C65D09; font-weight: bold } /* Generic.Prompt */
:root[data-bs-theme="light"] .codehilite .gs { font-weight: bold } /* Generic.Strong */
:root[data-bs-theme="light"] .codehilite .gu { color: #800080; font-weight: bold } /* Generic.Subheading */
:root[data-bs-theme="light"] .codehilite .gt { color: #04D } /* Generic.Traceback */
:root[data-bs-theme="light"] .codehilite .kc { color: #007020; font-weight: bold } /* Keyword.Constant */
:root[data-bs-theme="light"] .codehilite .kd { color: #007020; font-weight: bold } /* Keyword.Declaration */
:root[data-bs-theme="light"] .codehilite .kn { color: #007020; font-weight: bold } /* Keyword.Namespace */
:root[data-bs-theme="light"] .codehilite .kp { color: #007020 } /* Keyword.Pseudo */
:root[data-bs-theme="light"] .codehilite .kr { color: #007020; font-weight: bold } /* Keyword.Reserved */
:root[data-bs-theme="light"] .codehilite .kt { color: #902000 } /* Keyword.Type */
:root[data-bs-theme="light"] .codehilite .m { color: #40A070 } /* Literal.Number */
:root[data-bs-theme="light"] .codehilite .s { color: #4070A0 } /* Literal.String */
:root[data-bs-theme="light"] .codehilite .na { color: #4070A0 } /* Name.Attribute */
:root[data-bs-theme="light"] .codehilite .nb { color: #007020 } /* Name.Builtin */
:root[data-bs-theme="light"] .codehilite .nc { color: #0E84B5; font-weight: bold } /* Name.Class */
:root[data-bs-theme="light"] .codehilite .no { color: #60ADD5 } /* Name.Constant */
:root[data-bs-theme="light"] .codehilite .nd { color: #555; font-weight: bold } /* Name.Decorator */
:root[data-bs-theme="light"] .codehilite .ni { color: #D55537; font-weight: bold } /* Name.Entity */
:root[data-bs-theme="light"] .codehilite .ne { color: #007020 } /* Name.Exception */
:root[data-bs-theme="light"] .codehilite .nf { color: #06287E } /* Name.Function */
:root[data-bs-theme="light"] .codehilite .nl { color: #002070; font-weight: bold } /* Name.Label */
:root[data-bs-theme="light"] .codehilite .nn { color: #0E84B5; font-weight: bold } /* Name.Namespace */
:root[data-bs-theme="light"] .codehilite .nt { color: #062873; font-weight: bold } /* Name.Tag */
:root[data-bs-theme="light"] .codehilite .nv { color: #BB60D5 } /* Name.Variable */
:root[data-bs-theme="light"] .codehilite .ow { color: #007020; font-weight: bold } /* Operator.Word */
:root[data-bs-theme="light"] .codehilite .w { color: #BBB } /* Text.Whitespace */
:root[data-bs-theme="light"] .codehilite .mb { color: #40A070 } /* Literal.Number.Bin */
:root[data-bs-theme="light"] .codehilite .mf { color: #40A070 } /* Literal.Number.Float */
:root[data-bs-theme="light"] .codehilite .mh { color: #40A070 } /* Literal.Number.Hex */
:root[data-bs-theme="light"] .codehilite .mi { color: #40A070 } /* Literal.Number.Integer */
:root[data-bs-theme="light"] .codehilite .mo { color: #40A070 } /* Literal.Number.Oct */
:root[data-bs-theme="light"] .codehilite .sa { color: #4070A0 } /* Literal.String.Affix */
:root[data-bs-theme="light"] .codehilite .sb { color: #4070A0 } /* Literal.String.Backtick */
:root[data-bs-theme="light"] .codehilite .sc { color: #4070A0 } /* Literal.String.Char */
:root[data-bs-theme="light"] .codehilite .dl { color: #4070A0 } /* Literal.String.Delimiter */
:root[data-bs-theme="light"] .codehilite .sd { color: #4070A0; font-style: italic } /* Literal.String.Doc */
:root[data-bs-theme="light"] .codehilite .s2 { color: #4070A0 } /* Literal.String.Double */
:root[data-bs-theme="light"] .codehilite .se { color: #4070A0; font-weight: bold } /* Literal.String.Escape */
:root[data-bs-theme="light"] .codehilite .sh { color: #4070A0 } /* Literal.String.Heredoc */
:root[data-bs-theme="light"] .codehilite .si { color: #70A0D0; font-style: italic } /* Literal.String.Interpol */
:root[data-bs-theme="light"] .codehilite .sx { color: #C65D09 } /* Literal.String.Other */
:root[data-bs-theme="light"] .codehilite .sr { color: #235388 } /* Literal.String.Regex */
:root[data-bs-theme="light"] .codehilite .s1 { color: #4070A0 } /* Literal.String.Single */
:root[data-bs-theme="light"] .codehilite .ss { color: #517918 } /* Literal.String.Symbol */
:root[data-bs-theme="light"] .codehilite .bp { color: #007020 } /* Name.Builtin.Pseudo */
:root[data-bs-theme="light"] .codehilite .fm { color: #06287E } /* Name.Function.Magic */
:root[data-bs-theme="light"] .codehilite .vc { color: #BB60D5 } /* Name.Variable.Class */
:root[data-bs-theme="light"] .codehilite .vg { color: #BB60D5 } /* Name.Variable.Global */
:root[data-bs-theme="light"] .codehilite .vi { color: #BB60D5 } /* Name.Variable.Instance */
:root[data-bs-theme="light"] .codehilite .vm { color: #BB60D5 } /* Name.Variable.Magic */
:root[data-bs-theme="light"] .codehilite .il { color: #40A070 } /* Literal.Number.Integer.Long */
